Subject: Re: bug#38718: Emacs `compile' command does not handle remote (over TRAMP) file name correctly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Dec 2019 15:58:27 +0200

> From: Michael Albinus <[email-masked]>
> Date: Mon, 23 Dec 2019 10:04:09 +0100
> Cc: [email-masked]
> 
> > Might the fix in 27.1 referenced in report #38648 need to be
> > back-ported to 26.x?
> 
> There are no plans for an Emacs 26.4. Emacs 27 will start its pretest
> soon, and I don't know whether this problem will trigger a hotfix release.
> 
> What we could do is to publish the patch of bug#38648 on top of Emacs
> 26.3. Since we haven't done such an announcement yet, I don't know where
> to do it.
> 
> I believe there are other fixes in Emacs 27 for macOS Catalina, which
> are not included in Emacs 26.3. Maybe a special cumulative patch of
> Emacs 26.3, good for macOS Catalina, could be done?
> 
> Eli? John?

I don't want to lose time by having another Emacs 26.x release.  I
think even Emacs 26.3 was a mistake.

If these issues cause sever problems on Catalina, we could suggest
people to apply a few patches to their own builds, and hope that
binary distributions pick up those patches.